Subject: Re: bug#24194: GUIX gc - add warning

From: Mark H Weaver <[email-masked]>
Date: Wed, 10 Aug 2016 01:53:49 -0400

"J. Eppler" <[email-masked]> writes:

> I used GUIX for the first time and invoked: guix gc. The command deleted
> all my bootstrap files (gcc, binutils, findutils etc.). There should be
> a warning added to the manual page:
>
> https://www.gnu.org/software/guix/manual/html_node/Invoking-guix-gc.html
>
> I was actually assuming that guix gc removes orphan packages,
> build-caches, temporary files etc., but it does not seem to only do that.
 
To clarify, J. Eppler was specifically avoiding binary substitutes, so
he spent a lot of time bootstrapping Guix from source code, and was
disappointed to discover that after "guix gc" he had to repeat that
process.

      Mark